Bug 213875 - devel/distcc: Update MASTER_SITES, Remove BROKEN (Google Code -> GitHub)
Summary: devel/distcc: Update MASTER_SITES, Remove BROKEN (Google Code -> GitHub)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2016-10-29 09:30 UTC by Matthieu Volat
Modified: 2016-11-24 17:17 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
Update master site, fix issues with new github archives (1.93 KB, patch)
2016-10-29 09:31 UTC, Matthieu Volat
no flags Details | Diff
Update master site, fix issues with new github archives, regenerate patches (666 bytes, text/plain)
2016-10-29 09:50 UTC, Matthieu Volat
no flags Details
Update master site, fix issues with new github archives, regenerate patches (4.61 KB, patch)
2016-10-29 11:55 UTC, Matthieu Volat
koobs: maintainer-approval+
Details | Diff
Update master site, fix issues with new github archives, regenerate patches (3.78 KB, patch)
2016-11-24 09:29 UTC, Matthieu Volat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Volat 2016-10-29 09:30:20 UTC
Hi,

The distcc master site was moved from google code to github, as mentionned on their (old) news page:
  https://code.google.com/archive/p/distcc/

Can the attached patch be reviewed and commited to reflect this? It also now call for autoreconf since git(hub) releases are done without generating configure scripts, and fix a strange issue of CC not set because it tries to access PTHREAD_CC variable.

Thanks,
Comment 1 Matthieu Volat 2016-10-29 09:31:21 UTC
Created attachment 176262 [details]
Update master site, fix issues with new github archives

Oops, patch was not included
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-29 09:35:03 UTC
Thank you for the patch Matthieu. 

Could you please confirm this change passes QA (portlint, poudriere). For more information, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-29 09:38:20 UTC
Also, move USE_GITHUB under USES, and GH_* vars under USE(S) section :)
Comment 4 Matthieu Volat 2016-10-29 09:50:50 UTC
Created attachment 176264 [details]
Update master site, fix issues with new github archives, regenerate patches

Index: Makefile
===================================================================
--- Makefile	(revision 424807)
+++ Makefile	(working copy)
@@ -6,7 +6,6 @@
 PORTVERSION=	3.1
 PORTREVISION=	6
 CATEGORIES=	devel
-MASTER_SITES=	GOOGLE_CODE
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Distribute compilation of C(++) code acrosss machines on a network
@@ -14,12 +13,13 @@
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-BROKEN=		Unfetchable (google code has gone away)
-
 LIB_DEPENDS=	libpopt.so:devel/popt
 
 GNU_CONFIGURE=	yes
-USES=		alias gmake tar:bzip2
+USES=		autoreconf alias gmake libtool pkgconfig tar:bzip2
+USE_GITHUB=	yes
+GH_ACCOUNT=     distcc
+GH_TAGNAME=	9a09372
 WANT_GNOME=	yes
 
 GROUPS=		distcc
@@ -26,7 +26,7 @@
 USERS=		distcc
 
 CCLINKDIR?=	libexec/distcc
-CONFIGURE_ARGS=	--disable-Werror
+CONFIGURE_ARGS=	--disable-Werror CC=${CC} PTHREAD_CC=${CC}
 CONFIGURE_ENV=	PYTHON="${NONEXISTENT}"
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
@@ -72,7 +72,7 @@
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MCLANGLINK}
-CLANG_COMPILERS=	-devel 31 32 33 34 35
+CLANG_COMPILERS=	-devel 31 32 33 34 35 36 37 38 39
 DISTCC_COMPILERS+=	clang++ clang
 DISTCC_COMPILERS+=	${CLANG_COMPILERS:S|^|clang++|}
 DISTCC_COMPILERS+=	${CLANG_COMPILERS:S|^|clang|}
Index: distinfo
===================================================================
--- distinfo	(revision 424807)
+++ distinfo	(working copy)
@@ -1,4 +1,3 @@
-SHA256 (distcc-3.1.tar.bz2) = f55dbafd76bed3ce57e1bbcdab1329227808890d90f4c724fcd2d53f934ddd89
-SIZE (distcc-3.1.tar.bz2) = 588820
-SHA256 (distcc-avahi-080101.patch) = 4e506a8a2299af18839c443b8665ea4fe4492bf3ecae010d262406c01509058e
-SIZE (distcc-avahi-080101.patch) = 387519
+TIMESTAMP = 1477731710
+SHA256 (distcc-distcc-3.1-9a09372_GH0.tar.gz) = 3d98605a017c0a0e70f30a007801941bec9a87e9f41994bdfa0a9ea613a61e7b
+SIZE (distcc-distcc-3.1-9a09372_GH0.tar.gz) = 908231
Index: files/patch-configure.ac
===================================================================
--- files/patch-configure.ac	(revision 424807)
+++ files/patch-configure.ac	(working copy)
@@ -1,6 +1,6 @@
---- configure.ac.orig	2008-12-03 05:50:31.000000000 +0800
-+++ configure.ac	2010-08-24 21:55:30.000000000 +0800
-@@ -86,9 +86,12 @@
+--- configure.ac.orig	2008-12-02 23:17:13 UTC
++++ configure.ac
+@@ -86,9 +86,12 @@ AC_ARG_WITH(included-popt,
  	AC_HELP_STRING([--with-included-popt], [use bundled popt library, not from system]))
  
  AC_ARG_ENABLE(rfc2553,
Index: files/patch-src-dparent.c.diff
===================================================================
--- files/patch-src-dparent.c.diff	(revision 424807)
+++ files/patch-src-dparent.c.diff	(nonexistent)
@@ -1,20 +0,0 @@
---- src/dparent.c.orig	Sun Oct 24 08:05:48 2004
-+++ src/dparent.c	Fri Nov  4 17:35:09 2005
-@@ -285,6 +285,9 @@
-  **/
- void dcc_remove_pid(void)
- {
-+    /* distcc user, we are running as, cannot delete files in /var/run
-+     */
-+#if 0
-     if (!arg_pid_file)
-         return;
- 
-@@ -292,6 +295,7 @@
-         rs_log_warning("failed to remove pid file %s: %s",
-                        arg_pid_file, strerror(errno));
-     }
-+#endif
- }
- 
- 

Property changes on: files/patch-src-dparent.c.diff
___________________________________________________________________
Deleted: fbsd:nokeywords
## -1 +0,0 ##
-yes
\ No newline at end of property
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:mime-type
## -1 +0,0 ##
-text/plain
\ No newline at end of property
Index: files/patch-src_dparent.c
===================================================================
--- files/patch-src_dparent.c	(nonexistent)
+++ files/patch-src_dparent.c	(working copy)
@@ -0,0 +1,20 @@
+--- src/dparent.c.orig	2008-12-02 23:17:13 UTC
++++ src/dparent.c
+@@ -308,6 +308,9 @@ static void dcc_save_pid(pid_t pid)
+  **/
+ void dcc_remove_pid(void)
+ {
++    /* distcc user, we are running as, cannot delete files in /var/run
++     */
++#if 0
+     if (!arg_pid_file)
+         return;
+ 
+@@ -315,6 +318,7 @@ void dcc_remove_pid(void)
+         rs_log_warning("failed to remove pid file %s: %s",
+                        arg_pid_file, strerror(errno));
+     }
++#endif
+ }
+ 
+ 

Property changes on: files/patch-src_dparent.c
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-29 11:51:51 UTC
Comment is in attachment 176264 [details] contents, and patch contents are in comment 4.

Can you switch them around? :)
Comment 6 Matthieu Volat 2016-10-29 11:55:19 UTC
Created attachment 176265 [details]
Update master site, fix issues with new github archives, regenerate patches

What the hell did I do? Ok, one more time:

Sure, i did not think of it because I though of it originaly as just a mirror update. I haven't yet setup poudriere on my computer, but indeed portlint was not really happy. I'm revising the patch a bit, and trying to improve the port while I'm a it (I did not realize it was unmaintained...)

# make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

# portlint
WARN: Makefile: "PKGNAMESUFFIX" has to appear earlier.
0 fatal errors and 1 warning found.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-29 13:00:58 UTC
Comment on attachment 176265 [details]
Update master site, fix issues with new github archives, regenerate patches

Unmaintained port, implicit approval
Comment 8 Matthieu Volat 2016-11-19 16:18:30 UTC
Is there some action needed right now? or should I ask for somebody with commit privileges to apply the patch?

Thanks,
Comment 9 Matthieu Volat 2016-11-24 09:29:36 UTC
Created attachment 177350 [details]
Update master site, fix issues with new github archives, regenerate patches

Regenerate diff with --ignore-properties --patch-compatible for better formating
Comment 10 Kurt Jaeger freebsd_committer 2016-11-24 09:42:46 UTC
testbuilds@work
Comment 11 Kurt Jaeger freebsd_committer 2016-11-24 09:54:35 UTC
If I use svn patch, the generated files have mode 600, which fails in poudriere 8-} Just sayin' 8-)
Comment 12 commit-hook freebsd_committer 2016-11-24 10:21:54 UTC
A commit references this bug:

Author: pi
Date: Thu Nov 24 10:21:43 UTC 2016
New revision: 427000
URL: https://svnweb.freebsd.org/changeset/ports/427000

Log:
  devel/distcc: Update MASTER_SITES to make fetchable, unbreak, regen patches

  PR:		213875
  MFH:		2016Q4
  Submitted by:	Matthieu Volat <mazhe@alkumuna.eu>

Changes:
  head/devel/distcc/Makefile
  head/devel/distcc/distinfo
  head/devel/distcc/files/patch-configure.ac
  head/devel/distcc/files/patch-src-dparent.c.diff
  head/devel/distcc/files/patch-src_dparent.c
Comment 13 commit-hook freebsd_committer 2016-11-24 17:14:53 UTC
A commit references this bug:

Author: pi
Date: Thu Nov 24 17:14:45 UTC 2016
New revision: 427055
URL: https://svnweb.freebsd.org/changeset/ports/427055

Log:
  devel/distcc: Update MASTER_SITES to make fetchable, unbreak, regen patches
  MFH:		r427000

  PR:		213875
  Submitted by:	Matthieu Volat <mazhe@alkumuna.eu>
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/devel/distcc/Makefile
  branches/2016Q4/devel/distcc/distinfo
  branches/2016Q4/devel/distcc/files/patch-configure.ac
  branches/2016Q4/devel/distcc/files/patch-src-dparent.c.diff
  branches/2016Q4/devel/distcc/files/patch-src_dparent.c
Comment 14 Kurt Jaeger freebsd_committer 2016-11-24 17:15:25 UTC
Committed, thanks!
Comment 15 Matthieu Volat 2016-11-24 17:17:56 UTC
Thank you very much, and sorry for the time it took to properly format these changes!